/*===============================================================================================
Allgemeine Funktionen
===============================================================================================*/

/* ********************************** */
/* Kartendatenfelder befllen */
/* ********************************** */
function getCTCardType(cardType) {
    var ctCardType = cardType;
    switch (cardType) {
        case "MASTERCARD":
            ctCardType = "MasterCard";
            break;
        case "AMERICAN_EXPRESS":
            ctCardType = "AMEX";
            break;
        case "DINERS_CLUB":
            ctCardType = "DINERS";
            break;
        case "DISCOVER":
            ctCardType = "Discover";
            break;
        case "CHINA_UNIONPAY":
            ctCardType = "CUP";
            break;
        case "CHINA_UNIONPAY":
            ctCardType = "CUP";
            break;
    }
    return ctCardType;
}
function ff_setBrand(cardType) {
    var ddlBrands = $('select[name="KKName"]');
    ddlBrands.select2('val', getCTCardType(cardType));
}
function ff_setMonthYear(expiry) {
    var monthYear = expiry.split('/');
    var ddlMonth = $('select[name="KKMonth"]');
    var ddlYear = $('select[name="KKYear"]');

    if (monthYear.length > 0)
        ddlMonth.select2('val', monthYear[0]);
    if (monthYear.length > 1)
        ddlYear.select2('val', '20' + monthYear[1]);
}
/* *************************************** */
/* Zhler fr die Anzahl der Scan-Versuche */
/* *************************************** */
function incrementFastFill(name) {
    var element = document.getElementsByName(name)[0];
    var count = element.value * 1;
    element.value = count + 1;
}
/* *************** */
/* Status anzeigen */
/* *************** */
function showScanStatus(status) {
    var lblScan = document.getElementById("lblFastFill");
    if (lblScan != 'undefined') {
        lblScan.textContent = status;
    }
}

/* ********************************** */
/* Callback-Funktionen der Auswertung */
/* ********************************** */
function ffSuccess(cardInformation, showAlert) {
    incrementFastFill("FastFillSuccess");
    ff_setBrand(cardInformation.cardType);
    document.getElementById("KKnr").value = cardInformation.cardNumber;
    ff_setMonthYear(cardInformation.cardExpiryDate);

    if(showAlert)
        alert('Scan OK');

    showScanStatus(ffButtonText);
}
function ffWarning(warning, showAlert) {
    incrementFastFill("FastFillFailed");
    var code = warning.code;
    var message = warning.message;
    
    if(showAlert)
        alert(code + '\n' + message);
    
    showScanStatus(ffButtonText);
}
function ffError(error, showAlert) {
    incrementFastFill("FastFillFailed");
    var code = error.code;
    var message = error.message;
    
    if(showAlert)
        alert(code + '\n' + message);

    showScanStatus(ffButtonText);
}
/* ********************************** */


/*===============================================================================================
Funktionen fr die Mobile Web API
===============================================================================================*/

/* ********************************** */
/* Callback-Funktionen der Auswertung */
/* ********************************** */

var ffSuccessFunction = function (cardInformation) {
    ffSuccess(cardInformation, false);
};
var ffWarningFunction = function (warning) {
    ffWarning(warning, true);
};
var ffErrorFunction = function (error) {
    ffError(error, true);
};

/* ***************************************** */
/* Initialisieren der FastFill-Schnittstelle */
/* ***************************************** */
function initFastFill(ident, token, buttonText, scanCardText) {
    ffIdentifier = ident;
    ffToken = token;
    ffButtonText = buttonText;
    ffScanCardText = scanCardText;
}

/* *********************** */
/* Bild der Karte einlesen */
/* *********************** */
function ffReadUploadImage(upload) {
	if (upload.files && upload.files.length > 0) {
		var reader = new FileReader();
			reader.onloadend = ffExtractCardInformation;
			reader.readAsDataURL(upload.files[0]);
	} else {
		alert("no file to upload");
	}
}
/* *********************** */

/* ******************************** */
/* Daten zur Auswertung weitergeben */
/* ******************************** */
function ffExtractCardInformation(e) {
	var ffImage = document.getElementById('imgFastFill');
		ffImage.src = e.target.result;

	var yourCustomEvent = document.createEvent('CustomEvent');
		yourCustomEvent.initCustomEvent('bc.creditCardScan', false, true, {
			publicIdentifier: ffIdentifier ,
			authorizationToken: ffToken,
			cardImage: ffImage,
			onSuccess: ffSuccessFunction,
			onWarning: ffWarningFunction,
			onError: ffErrorFunction
		});

	showScanStatus(ffScanCardText);
	document.getElementById('divFastFill').dispatchEvent(yourCustomEvent);
}
/* ******************************** */

/*===============================================================================================
Funktionen fr die Embedding-Lsung mit Jumio-Button
===============================================================================================*/

/* ************************************** */
/* Callback-Funktion fr Embedding-Lsung */
/* ************************************** */
$(document).ready(function () {
    document.addEventListener('ns.submit', function listener(e) {
        ffSuccess(e.detail, false);
    });
    document.addEventListener('ns.warning', function listener(e) {
        ffWarning(e.detail, false);
    });
    document.addEventListener('ns.error', function listener(e) {
        ffError(e.detail, false);
    });
});

