<?xml version='1.0' encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="UTF-8"/>
    <xsl:template match="/">
        <html>

            <head>
                <!-- Title -->
                <title><xsl:value-of select="paygate/language/strTitle"/></title>

                <!-- Favicon -->
                <link rel="shortcut icon" type="image/x-icon" href="Templates/imagesct_responsive/images/favicon.png" />
                
                <!-- Some viewport settings for mobile Safari -->
                <meta name = "viewport" content = "user-scalable=no, width=device-width" />

                <!-- CSS -->
                <link rel="stylesheet" type="text/css" href="css/clicktopay.css" />
                <link rel="stylesheet" type="text/css" href="Templates/imagesct_responsive/css/highslide.css" />
                <link rel="stylesheet" type="text/css" href="Templates/imagesct_responsive/css/select2.css" />
                <link rel="stylesheet" type="text/css" href="Templates/imagesct_responsive/css/main.css" />

				<!-- CSS for FastFill -->
				<xsl:if test="paygate/FastFillActive">
                    <link rel="stylesheet" type="text/css" href="https://static-bcmw.jumio.com/styles/main.min.css"/>
                </xsl:if>				

                <!-- IE fixes -->
                <xsl:comment>
                    <![CDATA[[if lte IE 9]>
                        <link rel="stylesheet" type="text/css" href="Templates/imagesct_responsive/css/ie9.css" />
                    <![endif]]]>
                </xsl:comment>
                <xsl:comment>
                    <![CDATA[[if lte IE 8]>
                        <link rel="stylesheet" type="text/css" href="Templates/imagesct_responsive/css/ie8.css" />
                    <![endif]]]>
                </xsl:comment>
                <xsl:comment>
                    <![CDATA[[if lte IE 7]>
                        <link rel="stylesheet" type="text/css" href="Templates/imagesct_responsive/css/ie7.css" />
                    <![endif]]]>
                </xsl:comment>

                <!-- JavaScript/jQuery -->
                <script type="text/javascript" src="js/jquery.min.js"></script>
                <script type="text/javascript" src="js/bootstrap.min.js"></script>
                <script type="text/javascript" src="Templates/imagesct_responsive/js/highslide-full.js"></script>
                <script type="text/javascript" src="Templates/imagesct_responsive/js/highslide.config.js" charset="utf-8"></script>
                <script type="text/javascript" src="Templates/imagesct_responsive/js/payssl.info.sites.js"></script>
                <script type="text/javascript" src="Templates/imagesct_responsive/js/detector.js"></script>
                <script type="text/javascript" src="Templates/imagesct_responsive/js/webda.js"></script>
                <script type="text/javascript" src="js/digicert.js"></script>

                <!-- Javascript for FastFill -->
                <xsl:if test="paygate/FastFillActive">
                  <script type="text/javascript" src="https://static-bcmw.jumio.com/js/widget-sdk.js"></script>
                  <script type="text/javascript" src="Templates/imagesct_responsive/js/fastfill.js"></script>
                </xsl:if>

                <!-- JavaScript -->
                <script type="text/javascript">
                    $(document).ready(function() {

                        <!-- Sets the texts for the imprint site -->
                        setImpressumText('<xsl:value-of select="/paygate/language/@name"/>');

                        <!-- Sets the texts for the Verified by Visa info site -->
                        setVbvText('<xsl:value-of select="/paygate/language/@name"/>');

                        <!-- Sets the texts for the mastercard ID Check site -->
                        setMCSCText('<xsl:value-of select="/paygate/language/@name"/>');

                        <!-- Sets the texts for the SafeKey info site -->
                        setSafeKeyText('<xsl:value-of select="/paygate/language/@name"/>');
                        
                        <!-- Display Apple Pay button -->
                        if ('<xsl:value-of select="paygate/useApplePay"/>' == 'true') {
                            
                            <!-- Check if Apple Pay button can be displayed -->
                            if (window.ApplePaySession &amp;&amp; ApplePaySession.canMakePayments()) {
                                $('#applePayDiv').addClass('display-inline');
                            }

                            <!-- Set an click event on the Apple Pay button -->
                            $('#applePayButton').click(function (event) {

                                // This method (from applepay.js) does the following:
                                // 1. Creates an ApplePay session
                                // 2. Validates the merchant via server request
                                // 3. Displays the Apple Pay widget
                                // 4. Evaluates customers interaction on the Apple Pay widget
                                beginApplePay();
                            });
                        }
                    });

                    function openInfoLightBox(currentElement, id)
                    {
                        if ($(window).width() > 510) {
                            var width = '410';
                            if (id == 'lb_mcsc') {
                                width = '510';
                                if ('<xsl:value-of select="/paygate/language/@name"/>' != 'de') {
                                    document.getElementById("mcscImg").src = 'Templates/imagesct_responsive/images/introducing.jpg'
                                };
                            }
                        }
                        else {
                            var width = $(window).width()- 75;
                        }

                        return hs.htmlExpand(currentElement, { contentId: id, width: width });
                    }

                    var newNumber = false;

                    function SSLForm_onsubmit(postForm) {
                        var index = 0;
                        var checkCC = /\D.+/;
                        
                        if (newNumber &amp;&amp; document.SSLForm.maskedNumber)
                        {
                            document.SSLForm.cardNumber.value = document.SSLForm.maskedNumber.value;
                        }
                        
                        var cardNumber = document.SSLForm.cardNumber.value.split(' ').join('');
                        cardNumber = cardNumber.split('\t').join('');
                        
                        $('.row').each(function() {
                            $(this).removeClass('error');
                        });

                        <!-- Card brand check -->
                        if(document.SSLForm.KKName.value == "")
                        {
                            $('.row.brand .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript"/>");
                            $('.row.brand').addClass('error');
                            return false;
                        }

                        <!-- Card number checks -->
                        if (cardNumber == "") {
                            $('.row.number .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript1"/>");
                            $('.row.number').addClass('error');
                            document.SSLForm.cardNumber.focus();
                            return false;
                        }

                        if (cardNumber.length &lt;= 12) {
                            $('.row.number .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript1"/>");
                            $('.row.number').addClass('error');
                            document.SSLForm.cardNumber.focus();
                            return false;
                        }

                        if (cardNumber.length &gt; 19) {
                            $('.row.number .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript1"/>");
                            $('.row.number').addClass('error');
                            document.SSLForm.cardNumber.focus();
                            return false;
                        }

                        if (checkCC.test(cardNumber)) {
                            $('.row.number .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript1"/>");
                            $('.row.number').addClass('error');
                            document.SSLForm.cardNumber.select();
                            return false;
                        }

                        <!-- Expiry date checks -->
                        if (document.SSLForm.cardExpirationMonth.selectedIndex == 0) {
                            $('.row.expiry .errorInfo').text("<xsl:value-of select="/paygate/language/strJSMonth"/>");
                            $('.row.expiry').addClass('error');
                            document.SSLForm.cardExpirationMonth.focus();
                            return false;
                        }

                        if (document.SSLForm.cardExpirationYear.selectedIndex == 0) {
                            $('.row.expiry .errorInfo').text("<xsl:value-of select="/paygate/language/strJSYear"/>");
                            $('.row.expiry').addClass('error');
                            document.SSLForm.cardExpirationYear.focus();
                            return false;
                        }

                        <!-- CVC-Code check -->
                        if (CheckCvc() == false)
                            return false;

                        <!-- Name on card checks -->
                        <xsl:if test="paygate/nameOnCard = 'yes'">
                            
                            var nameOnCard = document.SSLForm.CreditCardHolder.value
                            var checkSpecialCharacters = /^[a-zA-Z\s]*$/;
                            
                            if(nameOnCard == "")
                            {
                                $('.row.holder .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript3"/>");
                                $('.row.holder').addClass('error');
                                return false;
                            }
                            <!--if (!checkSpecialCharacters.test(nameOnCard)) {
                                $('.row.holder .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript4"/>");
                                $('.row.holder').addClass('error');
                                document.SSLForm.CreditCardHolder.focus();
                                return false;
                            }-->
                            if (nameOnCard.length &lt; 2) {
                                $('.row.holder .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript5"/>");
                                $('.row.holder').addClass('error');
                                document.SSLForm.CreditCardHolder.focus();
                                return false;
                            }
                            if (nameOnCard.length &gt; 45) {
                                $('.row.holder .errorInfo').text("<xsl:value-of select="/paygate/language/strJavaScript5"/>");
                                $('.row.holder').addClass('error');
                                document.SSLForm.CreditCardHolder.focus();
                                return false;
                            }
                        </xsl:if>
                
                        if (!postForm) {
                            return true;
                        }
                
                        if (index == 0) {
                            if (newNumber == true) {
                                document.SSLForm.cardNumber.value = document.SSLForm.maskedNumber.value;
                            }

                            if (document.SSLForm.button1 != null) {
                                index += 1;
                                hiddensubmit1();
                                showpayStatus();
                                hiddenbutton1();
                                return true;
                            } else {
                                index += 1;
                                hiddensubmit1();
                                showpayStatus();
                                return true;
                            }
                        } else
                            return false;
                    }

                    function showpayStatus()
                    {
                        $('div.row.ctp-checkbox').css('display', 'none');
                        $('div.row.scc-checkbox').css('display', 'none');
                        if (document.getElementById)
				        document.getElementById("errorDescription").style.display = "none";
                        document.getElementById("payStatus").style.display = "inline";
                    }

                    function hiddensubmit1()
                    {
                        if(document.getElementById)
                        document.getElementById("submit1").style.visibility = "hidden";
                    }

                    function hiddenbutton1()
                    {
                        if(document.getElementById)
                        document.getElementById("button1").style.visibility = "hidden";
                    }

                    function CheckCvc()
                    {
                        // CVC Check: Allow just 4 digits for AMEX, otherwise 3 or leave it empty 
                        var cvcPairs = "<xsl:value-of select="/paygate/cvc" />".split(";");
                        var cvcPair;
                        var check = false;
                        var brandName;
                        var checkCC = /\D.+/;

                        <xsl:if test="paygate/PCNrBrand != ''">
                            brandName = "<xsl:value-of select="paygate/PCNrBrand"/>";
                        </xsl:if>
                    
                        <xsl:if test="paygate/brand != ''">
                            brandName = "<xsl:value-of select="paygate/brand"/>";
                        </xsl:if>

                        // get selected brand
                        for (i = 0; i&lt;document.SSLForm.KKName.length; ++i) {
                            if(document.SSLForm.KKName.options[i].selected == true)
                                brandName = document.SSLForm.KKName.options[i].value;
                        }

                        for (i=0; i&lt;cvcPairs.length; i++) {
                            cvcPair = cvcPairs[i].split(",");

                            if(brandName == cvcPair[0] &amp;&amp; cvcPair[1] == "1") {
                                check = true;
                                break;
                            }
                        }

                        if (brandName == "DINERS")
                            return true;

                        if (brandName == "JCB")
                            return true;

                        if (document.SSLForm.cccvc.value.length > 0 || check == true) {
                            if (checkCC.test(document.SSLForm.cccvc.value)) {
                                $('.row.checknumber .errorInfo').text("<xsl:value-of select="/paygate/language/kpnError"/>");
                                $('.row.checknumber').addClass('error');
                                return false;
                            }
                            else {
                                $('.row.checknumber').removeClass('error');
                            }

                            if ((document.SSLForm.cccvc.value.length != 4 &amp;&amp; document.SSLForm.cccvc.value.length != 3) &amp;&amp; brandName == "AMEX") {
                                $('.row.checknumber .errorInfo').text("<xsl:value-of select="/paygate/language/kpnError1"/>");
                                $('.row.checknumber').addClass('error');
                                document.SSLForm.cccvc.focus();
                                return false;
                            }
                            else {
                                $('.row.checknumber').removeClass('error');
                            }

                            if (document.SSLForm.cccvc.value.length != 4 &amp;&amp; brandName == "ComfortCard") {
                                $('.row.checknumber .errorInfo').text("<xsl:value-of select="/paygate/language/kpnError2"/>");
                                $('.row.checknumber').addClass('error');
                                document.SSLForm.cccvc.focus();
                                return false;
                            }
                            else {
                                $('.row.checknumber').removeClass('error');
                            }

                            if(document.SSLForm.cccvc.value.length != 3 &amp;&amp; brandName != "AMEX" &amp;&amp; brandName != "DINERS" &amp;&amp; brandName != "ComfortCard") {
                                $('.row.checknumber .errorInfo').text("<xsl:value-of select="/paygate/language/kpnError3"/>");
                                $('.row.checknumber').addClass('error');
                                document.SSLForm.cccvc.focus();
                                return false;
                            }
                            else {
                                $('.row.checknumber').removeClass('error');
                            }
                        }
                    }

                    <!-- Prefill function for the pseudo card number (PCNr) -->
                    function init()
                    {
                        <!--if (document.SSLForm.PCNr)
                        {
                            pseudoX = "";
                            for (i=0; i &lt; document.SSLForm.cardNumber.value.length - 3; i++)
                            {
                                pseudoX = pseudoX + "X";
                            }

                            pseudoX = pseudoX + document.SSLForm.cardNumber.value.substr(document.SSLForm.cardNumber.value.length-3,3);
                            document.SSLForm.PCNr.value = pseudoX;
                        }-->
                    
                        // JavaScriptCheck
					    document.SSLForm.JS.value = "true";
                    
                    }

                    function NoChanged()
                    {
                        newNumber = true;
                        document.SSLForm.cardNumber.value = "";
                    }

                </script>

                <!-- CSS for "Name on card" field -->
                <style type="text/css">
                    <xsl:if test="paygate/nameOnCard = 'yes'">
                        .form .row.brand,
                        .form .row.number,
                        .form .row.expiry,
                        .form .row.checknumber{
                            margin-bottom: 10px;
                        }

                        .form .row.holder {
	                        margin-bottom: 14px;
                        }
                    </xsl:if>
                </style>
            </head>

            <body onload="init();">
              <xsl:if test="paygate/FastFillActive">
                <xsl:attribute name="data-ng-app">
                  <xsl:value-of select="paygate/FastFillSDK" />
                </xsl:attribute>
              </xsl:if>
                <div class="wrapper">
                    <xsl:attribute name="style">background-image:url("<xsl:value-of select="paygate/BGImage"/>");background-color:<xsl:value-of select="paygate/BGColor"/>;</xsl:attribute>
                    <div class="logo">
                        <a href="#" onclick="return openInfoLightBox(this, 'lb_ctInfo')">
                            <img src="Templates/imagesct_responsive/images/computop_desktop.png" alt="Computop Paygate"/>
                        </a>
                    </div>
                    <div class="info">
                        <div id="titleDiv">
                            <h1>
                                <span>
                                    <xsl:attribute name="style">color:#005a96</xsl:attribute>
                                    <xsl:value-of select="paygate/language/strTitle"/>
                                </span>
                            </h1>
                        </div>
                        <div id="paymentAPIs">
                            <div id="clickToPayDiv">
                                <xsl:if test="paygate/useClickToPay = 'true'">
                                    <div class="ctp-button">
                                        <img class="ctp-logo" src="images/ctp_logo.png" alt="Click to Pay" border="0"/>
                                        <span class="font-weight-600 margin-right-5">Click to Pay</span>
                                        <span aria-hidden="true" data-toggle="popover" tabindex="0" data-original-title="" title="" class="glyphicon glyphicon-info-sign"></span>
                                        <span class="font-weight-600 margin-left-5">
                                            | <a id="ctpButton" href="#">
                                                <xsl:value-of select="paygate/language/ClickToPay/haveAnAccount"/>
                                            </a>
                                        </span>
                                    </div>
                                </xsl:if>
                            </div>
                            <div id="applePayDiv">
                                <div id="applePayButton" style="display: inline-block; -webkit-appearance: -apple-pay-button; -apple-pay-button-type: plain; -apple-pay-button-style: black;">
                                    <xsl:attribute name="lang">
                                        <xsl:value-of select='paygate/language/@name'/>
                                    </xsl:attribute>
                                </div>
                            </div>
                            <div id="googlePayDiv">
                                <div id="googlePayButton"></div>
                            </div>
                        </div>
                        <div class="greyBox">
                            <div class="brands">
                                <!-- Visa -->
                                <xsl:if test="paygate/logo/visa='1'">
                                    <img src="Templates/imagesct_responsive/images/visa.png" border="0" alt="Visa"></img>
                                </xsl:if>
                                <!-- MasterCard -->
                                <xsl:if test="paygate/logo/mastercard='1'">
                                    <img src="Templates/imagesct_responsive/images/mastercard.png" border="0" alt="MasterCard"></img>
                                </xsl:if>
                                <!-- Maestro -->
                                <xsl:if test="paygate/logo/maestro='1'">
                                    <img src="Templates/imagesct_responsive/images/maestro.png" border="0" alt="Maestro"></img>
                                </xsl:if>
                                <!-- American Express -->
                                <xsl:if test="paygate/logo/amex='1'">
                                    <img src="Templates/imagesct_responsive/images/amex.png" border="0" alt="American Express"></img>
                                </xsl:if>
                                <!-- Diners Club -->
                                <xsl:if test="paygate/logo/diners='1'">
                                    <img src="Templates/imagesct_responsive/images/diners_club.png" border="0" alt="Diners Club"></img>
                                </xsl:if>
                                <!-- Discover -->
                                <xsl:if test="paygate/logo/discover='1'">
                                  <img src="Templates/imagesct_responsive/images/discover.png" border="0" alt="Discover"></img>
                                </xsl:if>
                                <!-- JCB -->
                                <xsl:if test="paygate/logo/jcb='1'">
                                    <img src="Templates/imagesct_responsive/images/jcb.png" border="0" alt="JCB"></img>
                                </xsl:if>
                                <!-- Carte Bleue -->
                                <xsl:if test="paygate/logo/cb='1'">
                                    <img src="Templates/imagesct_responsive/images/carte_bleue.png" border="0" alt="Carte Bleue"></img>
                                </xsl:if>
                                <!-- Cartes Bancaires -->
                                <xsl:if test="paygate/logo/cartesbancaires='1'">
                                    <img src="Templates/imagesct_responsive/images/cartes_bancaires.png" border="0" alt="Cartes Bancaires"></img>
                                </xsl:if>
                            </div>
                            <div class="cb"></div>
                            <div class="text">
                                <p style="font-size:14px">		
									<xsl:value-of select="paygate/language/strHint2" disable-output-escaping="yes"/>
                                </p>
                            </div>
                            <!-- DigiCert site seal -->
                            <div id="DigiCertClickID_DA34emNs"></div>
                        </div>
                    </div>
                    <div class="form">
                        <form style="margin:0px;" name="SSLForm" id="SSLForm" method="POST" language="JavaScript" onsubmit="return SSLForm_onsubmit(true);" autocomplete="off">
                            <xsl:if test="paygate/actionPath[. != '']"><xsl:attribute name="action"><xsl:value-of select="paygate/actionPath" /></xsl:attribute></xsl:if>

                            <xsl:if test="paygate/center[. != '']">
                                <input type="hidden" name="Center">
                                    <xsl:attribute name="value"><xsl:value-of select="paygate/center" /></xsl:attribute>
                                </input>
                            </xsl:if>

                            <!-- hidden: Layout-Params + PaymentData encrypted -->
                            <input type="hidden" name="MerchantID"><xsl:attribute name="value"><xsl:value-of select="paygate/merchantID"/></xsl:attribute></input>
                            <input type="hidden" name="Len"><xsl:attribute name="value"><xsl:value-of select='paygate/len'/></xsl:attribute></input>
                            <input type="hidden" name="Data"><xsl:attribute name="value"><xsl:value-of select='paygate/data'/></xsl:attribute></input>
                            <input type="hidden" name="Sprache"><xsl:attribute name="value"><xsl:value-of select='paygate/language/@name'/></xsl:attribute></input>
                            <input type="hidden" name="Background"><xsl:attribute name="value"><xsl:value-of select="paygate/Background"/></xsl:attribute></input>
                            <input type="hidden" name="BGImage"><xsl:attribute name="value"><xsl:value-of select="paygate/BGImage"/></xsl:attribute></input>
                            <input type="hidden" name="BGColor"><xsl:attribute name="value"><xsl:value-of select="paygate/BGColor"/></xsl:attribute></input>
                            <input type="hidden" name="FFace"><xsl:attribute name="value"><xsl:value-of select="paygate/FFace"/></xsl:attribute></input>
                            <input type="hidden" name="FSize"><xsl:attribute name="value"><xsl:value-of select="paygate/FSize"/></xsl:attribute></input>
                            <input type="hidden" name="FColor"><xsl:attribute name="value"><xsl:value-of select="paygate/FColor"/></xsl:attribute></input>
                            <input type="hidden" name="twidth"><xsl:attribute name="value"><xsl:value-of select="paygate/twidth"/></xsl:attribute></input>
                            <input type="hidden" name="theight"><xsl:attribute name="value"><xsl:value-of select="paygate/theight"/></xsl:attribute></input>
                            <input type="hidden" name="urlback"><xsl:attribute name="value"><xsl:value-of select="paygate/URLBack"/></xsl:attribute></input>
                            <input type="hidden" name="JS" value="false"></input>
                            <input type="hidden" name="template"><xsl:attribute name="value"><xsl:value-of select="paygate/template"/></xsl:attribute></input>
                            <input type="hidden" name="counter"><xsl:attribute name="value"><xsl:value-of select="paygate/counter"/></xsl:attribute></input>
                            <input type="hidden" name="hideissuenr"><xsl:attribute name="value"><xsl:value-of select="paygate/hideIssueNr"/></xsl:attribute></input>
                            <input type="hidden" name="notify"><xsl:attribute name="value"><xsl:value-of select="paygate/notify"/></xsl:attribute></input>
                            <input type="hidden" name="PaymentMethod"/>
                          
                            <!-- APPLE PAY -->
                            <xsl:if test="paygate/useApplePay = 'true'">
                                <!-- Hidden fields -->
                                <input type="hidden" name="ApplePayMerchantName"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayMerchantName"/></xsl:attribute></input>
                                <input type="hidden" name="ApplePayAmount"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayAmount"/></xsl:attribute></input>
		                        <input type="hidden" name="ApplePayCurrency"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayCurrency"/></xsl:attribute></input>
		                        <input type="hidden" name="ApplePayCountryCode"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayCountryCode"/></xsl:attribute></input>
		                        <input type="hidden" name="ApplePayBrands"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayBrands"/></xsl:attribute></input>
		                        <input type="hidden" name="ApplePayPostURL"><xsl:attribute name="value"><xsl:value-of select="paygate/applePayPostURL"/></xsl:attribute></input>
		                        <input type="hidden" name="ApplePayValidationURL"/>
		                        <input type="hidden" name="ApplePayPayID"/>
		                        <input type="hidden" name="ApplePayPaymentToken"/>
                                
                                <!-- JavaScript -->
                                <script type="text/javascript" src="js/applepay.js"></script>
                            </xsl:if>
                            
                            <!-- GOOGLE PAY -->
                            <xsl:if test="paygate/useGooglePay = 'true'">
                                <input type="hidden" name="GooglePayButtonType" value="plain"></input>
                                <input type="hidden" name="GooglePayTestAccount"><xsl:attribute name="value"><xsl:value-of select='paygate/testGooglePay'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayGatewayMerchantId"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayGatewayMerchantId'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayMerchantName"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayMerchantName'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayMerchantOrigin"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayMerchantOrigin'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayAllowedCardNetworks"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayAllowedCardNetworks'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayAllowedCardAuthMethods"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayAllowedCardAuthMethods'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayCountryCode"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayCountryCode'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayTotalPrice"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayTotalPrice'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayCurrencyCode"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayCurrencyCode'/></xsl:attribute></input>
                                <input type="hidden" name="GooglePayPostURL"><xsl:attribute name="value"><xsl:value-of select='paygate/googlePayPostURL'/></xsl:attribute></input>

                                <!-- JavaScript -->
                                <script async="" src="https://pay.google.com/gp/p/js/pay.js" onload="onGooglePayLoaded()"></script>
                                <script type="text/javascript" src="js/googlepay.js"></script>
                            </xsl:if>
                            
                            <!-- CLICK TO PAY -->
                            <xsl:if test="paygate/useClickToPay = 'true'">
                                                                
                                <input type="hidden" name="ClickToPayTestaccount"><xsl:attribute name="value"><xsl:value-of select="paygate/testClickToPay"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayActiveEnrollment"><xsl:attribute name="value"><xsl:value-of select="paygate/preselectClickToPayEnrollment"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayDtAutoStart"><xsl:attribute name="value"><xsl:value-of select="paygate/startDigitalTerminalAutomatically"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPaySrciTransactionId"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPaySrciTransactionId"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayMasterCardSrciTransactionId"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayMasterCardSrciTransactionId"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPaySrciDpaId"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPaySrciDpaId"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayMasterCardSrciDpaId"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayMasterCardSrciDpaId"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPaySrcInitiatorId"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPaySrcInitiatorId"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayMasterCardSrcInitiatorId"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayMasterCardSrcInitiatorId"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayIdentityValue"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayIdentityValue"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayDpaLocale"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayDpaLocale"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayTransactionAmount"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayTransactionAmount"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayTransactionCurrencyCode"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayTransactionCurrencyCode"/></xsl:attribute></input>
                                <input type="hidden" name="ClickToPayPostURL"><xsl:attribute name="value"><xsl:value-of select="paygate/clickToPayPostURL"/></xsl:attribute></input>

                                <input type="hidden" name="ClickToPayIdTokens"></input>
                                <input type="hidden" name="ClickToPayIdToken"></input>
                                <input type="hidden" name="ClickToPayCorrelationId"></input>
                                <input type="hidden" name="ClickToPayDigitalCardId"></input>
                                <input type="hidden" name="ClickToPayMaskedEmail"></input>
                                <input type="hidden" name="ClickToPayMaskedNumber"></input>

                                <input type="hidden" name="ClickToPayMasterCardIdTokens"></input>
                                <input type="hidden" name="ClickToPayMasterCardIdToken"></input>
                                <input type="hidden" name="ClickToPayMasterCardCorrelationId"></input>
                                <input type="hidden" name="ClickToPayMasterCardDigitalCardId"></input>
                                <input type="hidden" name="ClickToPayMasterCardMaskedEmail"></input>
                                <input type="hidden" name="ClickToPayMasterCardMaskedNumber"></input>
                                
                                <script data-main="scripts/main" src="js/jose.js"></script>
                                
                                <!-- VISA SDK -->
                                <script type="text/javascript">
                                    <xsl:choose>
                                        <xsl:when test="paygate/testClickToPay = 'true'">
                                            <xsl:attribute name="src">https://sandbox.secure.checkout.visa.com/checkout-widget/resources/js/src-i-adapter/visaSdk.js</xsl:attribute>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:attribute name="src">https://assets.secure.checkout.visa.com/checkout-widget/resources/js/src-i-adapter/visaSdk.js</xsl:attribute>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </script>

                                <!-- MasterCard SDK -->
                                <script type="text/javascript">
                                    <xsl:choose>
                                        <xsl:when test="paygate/testClickToPay = 'true'">
                                            <xsl:attribute name="src">https://sandbox.src.mastercard.com/sdk/srcsdk.mastercard.js</xsl:attribute>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:attribute name="src">https://src.mastercard.com/sdk/srcsdk.mastercard.js</xsl:attribute>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </script>
                                
                                <script type="text/javascript" src="js/bootbox.min.js"></script>
                                <script type="text/javascript" src="js/clicktopay-v2.js"></script>
                                    
                            </xsl:if>
                            
                            <!-- Hiddenfields for FastFill -->
                            <input type="hidden" name="FastFill"><xsl:attribute name="value"><xsl:value-of select="paygate/FastFill"/></xsl:attribute></input>
                            <input type="hidden" name="FastFillSuccess"><xsl:attribute name="value"><xsl:value-of select="paygate/FastFillSuccess"/></xsl:attribute></input>
                            <input type="hidden" name="FastFillFailed"><xsl:attribute name="value"><xsl:value-of select="paygate/FastFillFailed"/></xsl:attribute></input>

                            <!-- FastFill elements -->
                            <xsl:if test="paygate/FastFillActive">
                                <div data-ns-card-scanner="YOURAUTHORIZATIONTOKEN" data-public-identifier="YOURPUBLICIDENTIFIER">
                                    <xsl:attribute name="data-ns-card-scanner">
                                        <xsl:value-of select="paygate/FastFillToken"/>
                                    </xsl:attribute>
                                    <xsl:attribute name="data-public-identifier">
                                        <xsl:value-of select="paygate/FastFillIdentifier"/>
                                    </xsl:attribute>
                                </div>
                            </xsl:if>

                            <!-- Card brand -->
                            <div class="row brand">
                                <span class="label">
                                    <xsl:value-of select="paygate/language/strCCBrand"/>
                                </span>
                                <div class="select">
                                    <xsl:choose>
                                        <xsl:when test="paygate/PCNrBrand != '' and paygate/counter = ''">
                                            <input type="hidden" name="KKName">
                                                <xsl:attribute name="value">
                                                    <xsl:value-of select="/paygate/PCNrBrand" />
                                                </xsl:attribute>
                                            </input>
                                            <span class="value">
                                                <xsl:value-of select="paygate/PCNrBrand"/>
                                            </span>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <select name="KKName">
                                                <option value="" selected="selected"></option>
                                                <xsl:choose>
                                                    <xsl:when test="paygate/merchantID[.='Eurocard']">
                                                        <option value="MasterCard">
                                                            <xsl:attribute name="selected"/>MasterCard
                                                        </option>
                                                    </xsl:when>
                                                    <xsl:otherwise>
                                                        <xsl:for-each select="paygate/brands/brand">
                                                            <option>
                                                                <xsl:if test=". = /paygate/CCard">
                                                                    <xsl:attribute name="selected"/>
                                                                </xsl:if>
                                                                <xsl:if test=". = /paygate/brand">
                                                                    <xsl:attribute name="selected"/>
                                                                </xsl:if>
                                                                <xsl:choose>
                                                                    <xsl:when test=".='VISA'">
                                                                        <xsl:attribute name="value">VISA</xsl:attribute>
                                                                        Visa
                                                                    </xsl:when>
                                                                    <xsl:when test=".='AMEX'">
                                                                        <xsl:attribute name="value">AMEX</xsl:attribute>
                                                                        American Express
                                                                    </xsl:when>
                                                                    <xsl:when test=".='DINERS'">
                                                                        <xsl:attribute name="value">DINERS</xsl:attribute>
                                                                        Diners Club International
                                                                    </xsl:when>
                                                                    <xsl:when test=".='CBN'">
                                                                        <xsl:attribute name="value">CBN</xsl:attribute>
                                                                        Carte Bleue
                                                                    </xsl:when>
                                                                    <xsl:otherwise>
                                                                        <xsl:attribute name="value">
                                                                            <xsl:value-of select="."/>
                                                                        </xsl:attribute>
                                                                        <xsl:value-of select="."/>
                                                                    </xsl:otherwise>
                                                                </xsl:choose>
                                                            </option>
                                                        </xsl:for-each>
                                                    </xsl:otherwise>
                                                </xsl:choose>
                                            </select>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                    <span class="errorInfo"></span>
                                </div>
                            </div>

                            <!-- Card number -->
                            <div class="row number">
                                <span class="label">
                                    <xsl:value-of select="paygate/language/strCCNumber"/>
                                </span>
                                <div class="input">
                                    <xsl:choose>
                                        <xsl:when test="paygate/PCNr != ''">
                                            <input type="text" name="PCNr" maxlength="19" onChange="NoChanged();"></input>
                                            <input type="hidden" id="cardNumber" name="cardNumber" >
                                                <xsl:attribute name="value"><xsl:value-of select="paygate/PCNr"/></xsl:attribute>
                                            </input>
                                        </xsl:when>
                                        <xsl:when test="paygate/maskedNumber != ''">
                                            <input type="text" name="maskedNumber" maxlength="19" onChange="NoChanged();">
                                                <xsl:attribute name="value"><xsl:value-of select="paygate/maskedNumber"/></xsl:attribute>
                                            </input>
                                            <input type="hidden" id="cardNumber" name="cardNumber">
                                                <xsl:attribute name="value"><xsl:value-of select="paygate/cardNumber"/></xsl:attribute>
                                            </input>
                                        </xsl:when> 
                                        <xsl:otherwise>
                                            <input type="text" value="" id="cardNumber" name="cardNumber" maxlength="40"></input>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                    <span class="errorInfo"></span>
                                </div>
                            </div>

                            <!-- Expiry date (month/year) -->
                            <div class="row expiry">
                                <span class="label">
                                    <xsl:value-of select="paygate/language/strCCMonth"/> / <xsl:value-of select="paygate/language/strCCYear"/>
                                </span>
                                <div class="select">
                                    <!-- Monat -->
                                    <select class="month" name="cardExpirationMonth" size="1">
                                        <option value="*"></option>
                                        <xsl:call-template name="ExpiryMonth">
                                            <xsl:with-param name="month" select="1"></xsl:with-param>
                                        </xsl:call-template>
                                    </select>
                                    <!-- Jahr -->
                                    <select class="year" name="cardExpirationYear" size="1">
                                        <option value="*"></option>
                                        <xsl:call-template name="ExpiryYear">
                                            <xsl:with-param name="year">
                                                <xsl:value-of select="number(paygate/Year)"/>
                                            </xsl:with-param>
                                            <xsl:with-param name="counter">1</xsl:with-param>
                                        </xsl:call-template>
                                    </select>
                                    <div class="cb"></div>
                                    <span class="errorInfo"></span>
                                </div>
                                <div class="cb"></div>
                            </div>

                            <!-- CVC-Code -->
                            <div class="row checknumber">
                                <span class="label">
                                    <span><xsl:value-of select="paygate/language/strCCcvc" disable-output-escaping="yes"/></span>
                                    <!-- Hilfe -->
                                    <a class="help" href="Template/imagesct_responsive/images/kpn1.png" onclick="return openInfoLightBox(this, 'lb_kpn')">
                                        <img src="Templates/imagesct_responsive/images/info.png" width="15px" />
                                    </a>
                                </span>
                                <div class="input">
                                    <input type="password" value="" name="cccvc" maxlength="4" size="4"/>
                                    <span class="errorInfo"></span>
                                </div>
                            </div>

                            <!-- Name on card -->
                            <xsl:if test="paygate/nameOnCard = 'yes'">
                                <div class="row holder">
                                    <span class="label">
                                        <xsl:value-of select="paygate/language/strNameOnCard"/>
                                    </span>
                                    <div class="input">
                                        <input type="text" value="" id="CreditCardHolder" name="CreditCardHolder">
                                            <xsl:if test="paygate/cardholder != ''">
                                                <xsl:attribute name="value"><xsl:value-of select="paygate/cardholder"/></xsl:attribute>
                                            </xsl:if>
                                        </input>
                                        <span class="errorInfo"></span>
                                    </div>
                                </div>
                            </xsl:if>
                            
							<!-- 3D logos -->
                            <div class="row verified">
                                <div class="container">
                                    <!-- Verified by Visa -->
                                    <xsl:if test="paygate/logo/vbv='1'">
                                        <img style="cursor:pointer" src="Templates/imagesct_responsive/images/vbv.png" border="0" alt="Visa Secure" onClick="return openInfoLightBox(this, 'lb_vbv')"/>
                                    </xsl:if>
                                    <!-- mastercard ID Check -->
                                    <xsl:if test="paygate/logo/mcsc='1'">
                                        <img style="cursor:pointer" src="Templates/imagesct_responsive/images/mcsc.png" border="0" alt="mastercard ID Check" onClick="return openInfoLightBox(this, 'lb_mcsc')"/>
                                    </xsl:if>
                                    <!-- SafeKey -->
                                    <xsl:if test="paygate/logo/safeKey='1'">
                                        <img style="cursor:pointer" src="Templates/imagesct_responsive/images/safekey.png" border="0" alt="American Express SafeKey" onClick="return openInfoLightBox(this, 'lb_safeKey')"/>
                                    </xsl:if>
                                    <!-- Diners Club ProtectBuy -->
                                    <xsl:if test="paygate/logo/dcProtectBuy='1'">
                                        <img src="Templates/imagesct_responsive/images/diners_club_protectBuy.png" border="0" alt="Diners Club ProtectBuy"></img>
                                    </xsl:if>
                                    <!-- Discover ProtectBuy -->
                                    <xsl:if test="paygate/logo/discoverProtectBuy='1'">
                                        <img src="Templates/imagesct_responsive/images/discover_protectBuy.png" border="0" alt="Discover ProtectBuy"></img>
                                    </xsl:if>
                                    <div class="cb"></div>
                                </div>
                            </div>

                            <!-- Click to Pay (Checkbox) -->
                            <div class="row ctp-checkbox disabled">
                                <xsl:if test="paygate/challengeRequestIndicator = 'true'">
                                    <xsl:attribute name="style">
                                        margin-bottom: 5px !important;
                                    </xsl:attribute>
                                </xsl:if>
                                <input type="checkbox" id="ClickToPayEnrollment" name="ClickToPayEnrollment" disabled=""></input>
                                <label for="ClickToPayEnrollment">
                                    <xsl:value-of select="paygate/language/ClickToPay/enrollmentCheckbox1"/><img class="margin-left-2 margin-right-2" src="images/ctp_logo.png"></img><xsl:value-of select="paygate/language/ClickToPay/enrollmentCheckbox2"/>
                                </label>
                                <span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="popover" tabindex="0"></span>
                            </div>

                            <!-- Save credit card (Checkbox) -->
                            <xsl:if test="paygate/challengeRequestIndicator = 'true'">
                                <div class="row scc-checkbox">
                                    <input type="checkbox" id="prefill" name="prefill"></input>
                                    <label for="prefill">
                                        <xsl:value-of select="paygate/language/strSaveCreditCard" disable-output-escaping="yes"/>
                                    </label>
                                </div>
                            </xsl:if>
                            
							<!-- Status/Error texts -->
							<div class="row wait">
								<span id="payStatus" style="display:none; font-style:italic; font-weight:bold">
									<xsl:value-of select="paygate/language/payStatus"/>
								</span>
								<span id="errorDescription" style="font-style:italic; font-weight:bold; color:red">
									<xsl:if test="paygate/errorcode = '0015'">
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description1"/>
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description2"/>
									</xsl:if>
									<xsl:if test="paygate/errorcode = '0016'">
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description1"/>
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description3"/>
									</xsl:if>
									<xsl:if test="paygate/errorcode[. = '0017' or . = '0094']">
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description1"/>
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description4"/>
									</xsl:if>
									<xsl:if test="paygate/errorcode = '0018'">
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description5"/>
									</xsl:if>
									<xsl:if test="paygate/errorcode = '0019'">
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description1"/>
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description6"/>
									</xsl:if>
									<xsl:if test="paygate/errorcode = '0093'">
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description7"/>
									</xsl:if>
									<xsl:if test="paygate/errorcode[. = '0100' or . = '0102' or . = '0110' or . = '0302' or . = '0304' or . = '0305' or . = '0306' or . = '0313' or . = '0314' or . = '0333' or . = '0356' or . = '0362']">
										<xsl:value-of select="paygate/language/ErrorCodeDescription/Description8"/>
									</xsl:if>
								</span>
							</div>
							
							<!-- Buttons -->
                            <div class="row buttons">
                                <input class="submit" type="submit" id="submit1" name="submit1" style="visibility:visible">
                                    <xsl:attribute name="value">
                                        <xsl:value-of select="paygate/language/btnGoOn"/>
                                    </xsl:attribute>
                                </input>
                                <xsl:if test="paygate/URLBack[. != '']">
                                    <input class="back" type="button" id="button1" name="button1" visible="true" style="visibility:visible">
                                        <xsl:attribute name="value">
                                            <xsl:value-of select="paygate/language/btnBack"/>
                                        </xsl:attribute>
                                        <xsl:attribute name="onClick">
                                            javascript:window.location='<xsl:value-of select="paygate/URLBack" disable-output-escaping="yes"/>'
                                        </xsl:attribute>
                                    </input>
                                </xsl:if>
                            </div>
                            <div class="cb"></div>
                        
                        </form>

                        <!-- Lightbox for the Computop info site -->
                        <div class="highslide-maincontent" style="padding:20px" id="lb_ctInfo">
                            <table cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                    <td style="height:48px;" valign="top" align="right" colspan="2">
                                        <img src="images/computop_neu.png" border="0" alt="Computop Paygate"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height:50px" valign="middle" colspan="2">
                                        <span style="font-size:14px; font-weight:bold">
                                            <font>
                                                <xsl:call-template name="font"/>
                                                <label id="headerCTInfo"></label>
                                            </font>
                                        </span>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <font>
                                            <xsl:call-template name="font"/>
                                            <label id="s1"></label>
                                            <xsl:value-of select="paygate/merchantName" disable-output-escaping="yes"/>
                                            <label id="s2"></label>
                                            <br/>
                                            <br/>
                                            <label id="s3"></label>
                                        </font>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height:50px">
                                        <font>
                                            <xsl:call-template name="font"/>
                                            <a href="#" onclick="return openInfoLightBox(this, 'lb_impressum')">
                                                <label style="cursor:pointer" id="btnImpressum"></label>
                                            </a>
                                        </font>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <!-- Lightbox for the imprint site -->
                        <div class="highslide-maincontent" style="padding:20px" id="lb_impressum">
                            <table cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                    <td style="height:48px;" valign="top" align="right" colspan="2">
                                        <img src="images/computop_neu.png" border="0" alt="Computop Paygate"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <font>
                                            <xsl:call-template name="font"/>
                                            <label id="s5"></label>
                                            <label id="s6"></label>
                                        </font>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <!-- Lightbox for the CVC-Code explanation site -->
                        <div class="highslide-maincontent" style="padding:20px" id="lb_kpn">
                            <table id="lb_kpn" cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                    <td style="height:48px;" valign="top" align="right" colspan="2">
                                        <a href="#" onclick="return openInfoLightBox(this, 'lb_ctInfo')">
                                            <img src="Templates/imagesct_responsive/images/computop_small.png" border="0" alt="Computop Paygate"/>
                                        </a>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height:30px" valign="middle" colspan="2">
                                        <span style="font-size:14px; font-weight:bold">
                                            <font>
                                                <xsl:call-template name="font"/>
                                                <xsl:value-of select="paygate/language/kpnHeader"/>
                                            </font>
                                        </span>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding-top:8px">
                                        <font>
                                            <xsl:call-template name="font"/>
                                            <xsl:value-of select="paygate/language/kpnText" disable-output-escaping="yes"/>
                                        </font>
                                    </td>
                                    <td style="padding-top:8px" align="right">
                                        <img src="Templates/imagesct_responsive/images/kpn1.png"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding-top:12px">
                                        <font>
                                            <xsl:call-template name="font"/>
                                            <xsl:value-of select="paygate/language/kpnText1" disable-output-escaping="yes"/>
                                        </font>
                                    </td>
                                    <td style="padding-top:12px" align="right">
                                        <img src="Templates/imagesct_responsive/images/kpn2.png"/>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <!-- Lightbox for the Verified by Visa info site -->
                        <div class="highslide-maincontent" style="padding:20px" id="lb_vbv">
                            <table id="lb_vbv" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td style="height:48px;" valign="top" align="right" colspan="2">
                                        <img src="Templates/imagesct_responsive/images/vbv_large.png" border="0" alt="Visa Secure"></img>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height:30px" valign="middle" colspan="2">
                                        <span style="font-size:14px; font-weight:bold">
                                            <font>
                                                <xsl:call-template name="font"/>
                                                <label id="headerVbv"></label>
                                            </font>
                                        </span>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding-top:8px">
                                        <font>
                                            <xsl:call-template name="font"/>
                                            <label id="headerVbv"></label>
                                            <label id="ContentText1"></label><br/><br/>
                                            <label id="ContentText2"></label><br/><br/>
                                            <label id="ContentText3"></label><br/><br/>
                                            <label id="ContentText4"></label>
                                        </font>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <!-- Lightbox for the mastercard ID Check info site -->
                        <div class="highslide-maincontent" style="padding:20px;width:100%;float:left;" id="lb_mcsc">
                            <div id="lb_mcsc" style="width:100%;float:left;">
                                <div class="row fl" style="width:100%;">
                                    <div class="fl">
                                        <img id="mcscImg" src="Templates/imagesct_responsive/images/wir_stellen_vor.jpg" width="175px" border="0" alt=""></img>
                                    </div>
                                    <div class="fr">
                                        <img src="Templates/imagesct_responsive/images/mcsc_large.png" border="0" alt="mastercard ID Check"></img>
                                    </div>
                                </div>
                                <div class="row fl" style="width:100%;">
                                    <div class="fl" style="padding:10px 0;">
                                        <font>
                                            <xsl:call-template name="font"/>
                                            <label id="mainText1"></label>
                                            <br/><br/>
                                            <label id="mainText2"></label>
                                        </font>
                                    </div>
                                </div>
                                <div class="row fl" style="width:100%;">
                                    <div class="fl" style="width:100%;">
                                        <div class="fl" style="width:100%;margin-bottom:15px;">
                                            <font>
                                                <xsl:call-template name="font"/>
                                                <label id="infoText1"></label>
                                                <a href="https://www.mastercard.de/de-de/mastercard-fuer-sie/so-funktioniert-bezahlen/idcheck.html" target="_blank">www.mastercard.us</a>
                                                <label id="infoText2"></label>
                                            </font>
                                        </div>
                                        <div class="fl">
                                            <img src="Templates/imagesct_responsive/images/mastercard_white.gif" border="0" alt="MasterCard"></img>
                                        </div>
                                        <div class="fl">
                                            <img src="Templates/imagesct_responsive/images/maestro_white.gif" border="0" alt="MasterCard"></img>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Lightbox for SafeKey info site -->
                        <div class="highslide-maincontent" style="padding:12px" id="lb_safeKey">
                            <table id="lb_safeKey" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td style="height:60px" valign="top" align="right" colspan="2">
                                        <img src="images/SafeKey_Logo.png" border="0" alt="American Express SafeKey"></img>
                                    </td>
                                </tr>
                                <tr style="margin-top:20px">
                                    <td style="padding:20px 10px; background-color:#002663">
                                        <span style="font-size:16px; font-family:Arial; color:#FFFFFF">
                                            <label id="skHeader"></label>
                                        </span>
                                        <br/>
                                        <p style="font-size:12px; font-family:Arial; color:#FFFFFF">
                                            <label id="skInfoText1"></label>
                                            <br/><br/>
                                            <label id="skInfoText2"></label>
                                            <br/><br/>
                                            <label id="skInfoText3"></label>
                                            <xsl:if test="/paygate/language/@name != 'de'">
                                                <br/><br/>
                                            </xsl:if>
                                            <label id="skInfoText4"></label>
                                        </p>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </body>
        </html>
    </xsl:template>

    <!-- Template for font dynamik -->
    <xsl:template name="font">
        <xsl:attribute name="size"><xsl:value-of select="paygate/FSize"/></xsl:attribute>
        <xsl:attribute name="color"><xsl:value-of select="paygate/FColor"/></xsl:attribute>
        <xsl:attribute name="face"><xsl:value-of select="paygate/FFace"/></xsl:attribute>
    </xsl:template>

    <!-- Template, in order to create the selectbox for the expiry year dynamically -->
    <xsl:template name="ExpiryYear">
        <xsl:param name="year"/>
        <xsl:param name="counter"/>
        <xsl:if test="$counter &lt; 16">
            <option>
                <xsl:attribute name="value">
                    <xsl:value-of select="$year"/>
                </xsl:attribute>
                <xsl:if test="paygate/PCNrYear=$year or paygate/expiryYear=$year">
                    <xsl:attribute name="selected">selected</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="$year"/>
            </option>
            <xsl:call-template name="ExpiryYear">
                <xsl:with-param name="year" select="$year + 1"/>
                <xsl:with-param name="counter" select="$counter + 1"/>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

    <!-- Template, in order to create the selectbox for the expiry month dynamically -->
    <xsl:template name="ExpiryMonth">
        <xsl:param name="month"/>
            <xsl:if test="$month &lt; 13">
            <option>
                <xsl:attribute name="value">
                    <xsl:if test="$month &lt; 10">0</xsl:if>
                    <xsl:value-of select="$month"/>
                </xsl:attribute>
                <xsl:if test="paygate/ccexpirymonth=$month or paygate/PCNrMonth=$month or paygate/expiryMonth=$month">
                    <xsl:attribute name="selected">selected</xsl:attribute>
                </xsl:if>
                <xsl:if test="$month &lt; 10">0</xsl:if>
                <xsl:value-of select="$month"/>
            </option>
            <xsl:call-template name="ExpiryMonth">
                <xsl:with-param name="month" select="$month +1"/>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>